KDE 4.5 PyKDE API Reference

- KDE's Python API

# MarbleDataFacade Class Reference

`from PyKDE4.marble import *`

Namespace: Marble.MarbleDataFacade

## Detailed Description

Abstract class:
  This class can be used as a base class for new classes, but can not be instantiated directly.

A read-only interface to internal Marble data.

This class provides a read-only interface to some internal data in Marble. Its intended use is for plugins that should be able to access the data in question, but not change it.

See also:
  MarbleModel

## Methods

| __init__ (self, Marble.MarbleModel model)
QDateTime | dateTime (self)
Marble.Planet | planet (self)
float | planetRadius (self)
Marble.PluginManager | pluginManager (self)
QString | target (self)

## Method Documentation

__init__ | ( | self, |
|  | Marble.MarbleModel | model
| ) |  |  |

Construct a new MarbleDataFacade.

Parameters:

  | model | The MarbleModel we get the data from

QDateTime dateTime | ( |  | self ) |

Marble.Planet planet | ( |  | self ) |

Returns:
  a pointer to the current planet

float planetRadius | ( |  | self ) |

Marble.PluginManager pluginManager | ( |  | self ) |

QString target | ( |  | self ) |